Author: Upstream
Description: Patch incorporates two upstream changes in the project CVS
 repository. The changelog entries are:
  Sun Jun 22 22:15:38 2003  Pat Thoyts  <patthoyts@users.sourceforge.net>
  .
    * tkinspect.tcl: Ensure the correct name is registered under X
    Windows Tk so that traces work here too.
  .
  Sat Jun 21 22:35:03 2003  Pat Thoyts  <patthoyts@users.sourceforge.net>
  .
    * tkinspect.tcl: Merged in patch for paned views suppplied by
    Alexander Caldwell <alcald@psnw.com>.
    * lists.tcl: Also from AC's patch - added a horizontal scroll bar
    to the view windows.
    * tkinspect.tcl: Flattened various GUI items to improve the appearance
Last-Modified: Sun, 25 Mar 2018 08:34:43 +0300

--- a/about.tcl
+++ b/about.tcl
@@ -1,5 +1,5 @@
 #
-# $Id: about.tcl,v 1.5 2003/06/21 00:19:56 patthoyts Exp $
+# $Id: about.tcl,v 1.6 2003/06/21 22:43:32 patthoyts Exp $
 #
 # Handle the about box.
 #
@@ -23,7 +23,8 @@
 	frame $self.mug -bd 4
 	label $self.mug.l -justify left \
             -text "Originally by Sam Shen\n\Contributions\
-            from:\nPaul Healy\nJohn LoVerso\n\T. Schotanus\nPat Thoyts\n"
+            from:\nPaul Healy\nJohn LoVerso\n\T. Schotanus\
+            \nPat Thoyts\nAlexander Caldwell\n"
 
 	global about_priv
 	if ![info exists about_priv(mug_image)] {
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,16 @@
+Sun Jun 22 22:15:38 2003  Pat Thoyts  <patthoyts@users.sourceforge.net>
+
+	* tkinspect.tcl: Ensure the correct name is registered under X
+	Windows Tk so that traces work here too.
+
+Sat Jun 21 22:35:03 2003  Pat Thoyts  <patthoyts@users.sourceforge.net>
+
+	* tkinspect.tcl: Merged in patch for paned views suppplied by
+	Alexander Caldwell <alcald@psnw.com>.
+	* lists.tcl: Also from AC's patch - added a horizontal scroll bar
+	to the view windows.
+	* tkinspect.tcl: Flattened various GUI items to improve the appearence
+	
 Fri Jun 20 23:59:01 2003  Pat Thoyts  <patthoyts@users.sourceforge.net>
 
 	* tkinspect.tcl: Fix for bug #757926 to fix traces.
--- a/lists.tcl
+++ b/lists.tcl
@@ -1,5 +1,5 @@
 #
-# $Id: lists.tcl,v 1.14 1995/06/23 07:21:14 sls Exp $
+# $Id: lists.tcl,v 1.15 2003/06/21 22:30:39 patthoyts Exp $
 #
 
 dialog filter_editor {
@@ -142,15 +142,20 @@
     member contents {}
     member search_index 0
     method create {} {
-	$self config -bd 2 -relief raised
-	pack [label $self.title -anchor w] -side top -fill x
-	scrollbar $self.sb -command "$self.list yview" -relief sunken -bd 1
-	listbox $self.list -relief sunken -exportselection 0 \
-	    -yscroll "$self.sb set" -selectmode single
-	bind $self.list <1> "$self click %x %y; continue"
-	bind $self.list <Key-space> "$self trigger; continue"
-	pack $self.sb -side right -fill y
-	pack $self.list -side right -fill both -expand yes
+        $self config -bd 0 -relief raised
+        pack [label $self.title -anchor w] -side top -fill x
+        frame $self.frame  
+        pack $self.frame -side top -fill x
+        scrollbar $self.sb -command "$self.list yview" -relief sunken -bd 1
+        scrollbar $self.sb2 -command "$self.list xview" -relief sunken -bd 1 -orient horizontal
+        listbox $self.list -bd 2 -relief groove -exportselection 0 \
+            -yscroll "$self.sb set" -selectmode single \
+            -xscroll "$self.sb2 set"
+        bind $self.list <1> "$self click %x %y; continue"
+        bind $self.list <Key-space> "$self trigger; continue"
+        pack $self.sb -in $self.frame -side right -fill y
+        pack $self.list -in $self.frame -side right -fill both -expand yes
+        pack $self.sb2 -side bottom -fill x
 	set slot(menu) [$slot(main) add_menu $slot(title)]
 	bind $self.list <3> "tk_popup $slot(menu) %X %Y"
 	$slot(menu) add command \
--- a/stl-lite/tkhtml.tcl
+++ b/stl-lite/tkhtml.tcl
@@ -1,5 +1,5 @@
 #
-# $Id: tkhtml.tcl,v 1.5 1995/03/23 06:55:21 sls Exp $
+# $Id: tkhtml.tcl,v 1.6 2003/06/22 21:18:39 patthoyts Exp $
 #
 # This software is copyright (C) 1995 by the Lawrence Berkeley Laboratory.
 # 
@@ -241,10 +241,11 @@
 		[list tkhtml_href_click $tkhtml_priv(command) $href]
 	}
 	$tkhtml_priv(w) tag bind $href_tag <Enter> \
-	    [list $tkhtml_priv(w) tag configure $href_tag -foreground red]
+	    [list $tkhtml_priv(w) tag configure $href_tag \
+                 -foreground red]
 	$tkhtml_priv(w) tag bind $href_tag <Leave> \
 	    [list $tkhtml_priv(w) tag configure $href_tag \
-	     -foreground $tkhtml_priv(color)]
+                 -foreground $tkhtml_priv(color)]
     } else {
 	set tags $tag
     }
--- a/tkinspect.tcl
+++ b/tkinspect.tcl
@@ -2,7 +2,7 @@
 #\
 exec wish "$0" ${1+"$@"}
 #
-# $Id: tkinspect.tcl,v 1.33 2003/06/21 00:19:56 patthoyts Exp $
+# $Id: tkinspect.tcl,v 1.36 2003/06/22 21:18:39 patthoyts Exp $
 #
 
 package require Tk
@@ -36,7 +36,7 @@
 if {[info commands itcl_info] != ""} {
 	set tkinspect(default_lists) "object_list procs_list globals_list windows_list"
 } else {
-	set tkinspect(default_lists) "namespaces_list procs_list globals_list"
+	set tkinspect(default_lists) "namespaces_list procs_list globals_list windows_list"
 }
 
 wm withdraw .
@@ -56,6 +56,11 @@
     lappend auto_path [set tkinspect_library [file dirname [info script]]]
 }
 
+# If we have Tk send - use it (on windows this has no effect)
+if {[info command tk] != {}} {
+    ::tk appname $tkinspect(title)
+}
+
 # Use the winsend package if available.
 if {[info command send] == {}} {
     if {![catch {package require winsend}]} {
@@ -148,8 +153,8 @@
     member cmdlines ""
     member windows_info
     method create {} {
-	global tkinspect
-	pack [frame $self.menu -bd 2 -relief raised] -side top -fill x
+        global tkinspect 
+	pack [frame $self.menu -bd 2 -relief flat] -side top -fill x
 	menubutton $self.menu.file -menu $self.menu.file.m -text "File" \
 	    -underline 0
 	pack $self.menu.file -side left
@@ -195,6 +200,13 @@
 	    $m add command -label $topic -command [list $self help $topic] \
 		-underline 0
 	}
+
+        foreach w [winfo children $self.menu] {
+            $w configure -relief flat -bd 1
+            bind $w <Enter> {%W configure -relief raised -bd 1}
+            bind $w <Leave> {%W configure -relief flat -bd 1}
+        }
+
 	pack [set f [frame $self.buttons -bd 0]] -side top -fill x
 	label $f.cmd_label -text "Command:"
 	pack $f.cmd_label -side left
@@ -206,7 +218,14 @@
 	button $f.send_value -text "Send Value" \
 	    -command "$self.value send_value"
 	pack $f.send_command $f.send_value -side left
-	pack [frame $self.lists -bd 0] -side top -fill both
+
+        # change to use a panedwindow instead of a frame - Alex Caldwell
+        if {[package vcompare [package provide Tk] 8.3] == 1} {
+            pack [panedwindow $self.lists -showhandle 1] -side top -fill both
+        } else { 
+            pack [frame $self.lists -bd 0] -side top -fill both
+        } 
+    
 	value $self.value -main $self
 	pack $self.value -side top -fill both -expand 1
 	foreach list_class $tkinspect(default_lists) {
@@ -214,7 +233,7 @@
 	    set slot(${list_class}_is_on) 1
 	}
 	pack [frame $self.status] -side top -fill x
-	label $self.status.l -bd 2 -relief sunken -anchor w
+	label $self.status.l -anchor w -bd 0 -relief sunken
 	pack $self.status.l -side left -fill x -expand 1
 	set slot(windows_info) [object_new windows_info]
 	wm iconname $self $tkinspect(title)
@@ -353,15 +372,27 @@
 	lappend slot(lists) $list
 	$list_class $list -command "$self select_list_item $list" \
 	    -main $self
-	pack $list -side left -fill both -expand 1
+        # change to use panedwindow widget instead of frame
+        if {[package vcompare [package provide Tk] 8.3] == 1} {
+            $self.lists add $list -width 150
+        } else {
+            pack $list -side left -fill both -expand 1
+        }
     }
     method delete_list {list} {
+	global tk_patchLevel
 	set ndx [lsearch -exact $slot(lists) $list]
 	set slot(lists) [lreplace $slot(lists) $ndx $ndx]
-	pack forget $list
-	# for some reason if all the lists get unpacked the
-	# .lists frame doesn't collapse unless we force it
-	$self.lists config -height 1
+        # changed to use a panedwindow widget instead of a frame
+        if {[package vcompare [package provide Tk] 8.3] == 1} {
+            $self.lists forget $list
+        } else {
+            pack forget $list
+        
+            # for some reason if all the lists get unpacked the
+            # .lists frame doesn't collapse unless we force it
+            $self.lists config -height 1
+        }
 	set list_class [lindex [split $list .] 3]
 	set slot(${list_class}_is_on) 0
     }
@@ -377,7 +408,9 @@
     }
     method add_menu {name} {
 	set w $self.menu.[string tolower $name]
-	menubutton $w -menu $w.m -text $name -underline 0
+	menubutton $w -menu $w.m -text $name -underline 0 -bd 1 -relief flat
+        bind $w <Enter> {%W configure -relief raised -bd 1}
+        bind $w <Leave> {%W configure -relief flat -bd 1}
 	pack $w -side left
 	menu $w.m
 	return $w.m
--- a/value.tcl
+++ b/value.tcl
@@ -1,5 +1,5 @@
 #
-# $Id: value.tcl,v 1.10 2002/03/22 01:06:46 pat Exp $
+# $Id: value.tcl,v 1.11 2003/06/21 22:30:39 patthoyts Exp $
 #
 
 set value_priv(counter) -1
@@ -18,7 +18,7 @@
     member hist_no 0
     member send_filter value_no_filter
     method create {} {
-	$self config -bd 2 -relief raised -highlightthickness 0
+	$self config -bd 0 -relief flat -highlightthickness 0
 	pack [frame $self.title] -side top -fill x
 	pack [label $self.title.l -text "Value:  "] -side left
 	menubutton $self.title.vname -anchor w -menu $self.title.vname.m \
